Bug 1655537 - cannot open guest in rhv server by ovirt url
Summary: cannot open guest in rhv server by ovirt url
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: virt-viewer
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.0
Assignee: Virt Viewer Maint
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 11:58 UTC by Xiaodai Wang
Modified: 2019-09-24 14:29 UTC (History)
10 users (show)

Fixed In Version: virt-viewer-7.0-3.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 01:30:11 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
rest debug (276.85 KB, text/plain)
2018-12-04 10:50 UTC, Xiaodai Wang
no flags Details
debug log (59.12 KB, text/plain)
2018-12-04 11:15 UTC, Xiaodai Wang
no flags Details

Description Xiaodai Wang 2018-12-03 11:58:25 UTC
Description of problem:
cannot open guest in rhv server by ovirt url

Version-Release number of selected component (if applicable):
spice-gtk3-0.35-7.el8.x86_64
libgovirt-0.3.4-8.el8+8.x86_64
virt-viewer-7.0-2.el8.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Get ca file from rhv server.
e.g.
wget -O ca.crt http://ibm-x3250m5-03.rhts.eng.pek2.redhat.com/ovirt-engine/services/pki-resource?resource=ca-certificate&format=X509-PEM-CA
2. Connect to a guest in rhv server.
$ remote-viewer --ovirt-ca-file=ca.crt ovirt://ibm-x3250m5-03.rhts.eng.pek2.redhat.com/xxx
3. Type correct username/passwork in pop up dialog.

Actual results:
remote-viewer window pops up but cannot connect to the graphical server, and no hints display in main window.

Expected results:
remote-viewer should connect to guest successfully.

Additional info:
1) In rhel7.6, the same operation works well.

Comment 1 Xiaodai Wang 2018-12-03 11:59:22 UTC
$ remote-viewer --ovirt-ca-file=ca.crt ovirt://ibm-x3250m5-03.rhts.eng.pek2.redhat.com/RHEL7_3 --debug --spice-debug
(remote-viewer:20070): virt-viewer-DEBUG: 19:23:31.989: Opening display to ovirt://ibm-x3250m5-03.rhts.eng.pek2.redhat.com/RHEL7_3
(remote-viewer:20070): virt-viewer-DEBUG: 19:23:31.990: oVirt base URI: ibm-x3250m5-03.rhts.eng.pek2.redhat.com
(remote-viewer:20070): virt-viewer-DEBUG: 19:23:31.991: oVirt VM name: RHEL7_3
(remote-viewer:20070): virt-viewer-DEBUG: 19:23:38.307: virt_viewer_app_set_uuid_string: UUID changed to 8f8eba46-a533-4c82-96a0-1b6aca6e1f02
(remote-viewer:20070): virt-viewer-DEBUG: 19:23:38.307: Spice foreign menu updated
(remote-viewer:20070): virt-viewer-DEBUG: 19:23:38.307: Set connect info: (null),10.66.144.40,5904,5905,spice,(null),(null),0
(remote-viewer:20070): virt-viewer-DEBUG: 19:23:38.307: Guest RHEL7_3 has a spice display
(remote-viewer:20070): GSpice-DEBUG: 19:23:38.307: spice-session.c:280 New session (compiled from package spice-gtk 0.35)
(remote-viewer:20070): GSpice-DEBUG: 19:23:38.307: spice-session.c:284 Supported channels: main, display, inputs, cursor, playback, record, smartcard, usbredir
(remote-viewer:20070): GSpice-DEBUG: 19:23:38.308: usb-device-manager.c:504 auto-connect filter set to 0x03,-1,-1,-1,0|-1,-1,-1,-1,1
(remote-viewer:20070): GSpice-DEBUG: 19:23:38.316: usb-device-manager.c:967 device added 0557:2213 (0x5584f9bbcd20)
(remote-viewer:20070): virt-viewer-DEBUG: 19:23:43.029: Window closed
(remote-viewer:20070): GSpice-DEBUG: 19:23:43.056: spice-session.c:1959 session: disconnecting 0
(remote-viewer:20070): GSpice-DEBUG: 19:23:43.056: spice-session.c:280 New session (compiled from package spice-gtk 0.35)
(remote-viewer:20070): GSpice-DEBUG: 19:23:43.056: spice-session.c:284 Supported channels: main, display, inputs, cursor, playback, record, smartcard, usbredir
(remote-viewer:20070): GSpice-DEBUG: 19:23:43.056: usb-device-manager.c:504 auto-connect filter set to 0x03,-1,-1,-1,0|-1,-1,-1,-1,1

Comment 2 Victor Toso 2018-12-03 12:49:46 UTC
Extra note from discussion. Opening from vv file directly works fine too.

Comment 3 Eduardo Lima (Etrunko) 2018-12-03 14:16:09 UTC
Can you check if this is the same problem reported on #1403161 ?

Comment 4 Xiaodai Wang 2018-12-04 05:43:27 UTC
(In reply to Eduardo Lima (Etrunko) from comment #3)
> Can you check if this is the same problem reported on #1403161 ?

If it's a ovirt-engine problem, how to explain the operation works in rhel7.6 with same rhv server and guest?

Comment 6 Christophe Fergeau 2018-12-04 10:14:57 UTC
(In reply to xiaodwan from comment #0)
> Description of problem:
> cannot open guest in rhv server by ovirt url
> 
> Version-Release number of selected component (if applicable):
> spice-gtk3-0.35-7.el8.x86_64
> libgovirt-0.3.4-8.el8+8.x86_64

Please test with libgovirt-0.3.4-8.el8.x86_64 (even if this should only be a rebuild). Can you set REST_DEBUG=1 in the environment when you run the test?

Comment 7 Xiaodai Wang 2018-12-04 10:48:46 UTC
> Please test with libgovirt-0.3.4-8.el8.x86_64 (even if this should only be a
> rebuild). Can you set REST_DEBUG=1 in the environment when you run the test?

# rpm -q libgovirt
libgovirt-0.3.4-8.el8.x86_64

REST_DEBUG=1 doesn't print any log, I ran it with REST_DEBUG=all.

Comment 8 Xiaodai Wang 2018-12-04 10:50:07 UTC
Created attachment 1511260 [details]
rest debug

Comment 9 Xiaodai Wang 2018-12-04 11:15:55 UTC
Created attachment 1511262 [details]
debug log

Comment 11 Christophe Fergeau 2018-12-06 12:42:35 UTC
https://www.redhat.com/archives/virt-tools-list/2018-December/msg00010.html should fix it

Comment 15 Xiaodai Wang 2018-12-19 04:09:35 UTC
This bug has been fixed in virt-viewer-7.0-3.el8.x86_64, so move the bug to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.